Voyager installation problem

  • Pippo Poppo
    Participant
      # 2 months, 2 weeks ago

      Hi, I purchased and installed the multicrm. It all works …
      I try to install Voyager but without success.
      On command at the terminal “php artisan voyager: install” I receive the following error in the terminal:

      In Connection.php line 664:

      SQLSTATE[42S01]: Base table or view already exists: 1050 Table ‘roles’ alre
      ady exists (SQL: create table roles (id int unsigned not null auto_incr
      ement primary key, name varchar(191) not null, display_name varchar(191
      ) not null, created_at timestamp null, updated_at timestamp null) defau
      lt character set utf8 collate ‘utf8_unicode_ci’ engine = InnoDB)

      In PDOStatement.php line 119:

      SQLSTATE[42S01]: Base table or view already exists: 1050 Table ‘roles’ alre
      ady exists

      In PDOStatement.php line 117:

      SQLSTATE[42S01]: Base table or view already exists: 1050 Table ‘roles’ alre
      ady exists

      If I run the command “php artisan voyager: admin your@email.com -creat” from the terminal I receive the following error:

      Too many arguments, expected arguments “command” “email”.

      Can you help me?

    • laravel-bap
      Keymaster
        # 2 months, 2 weeks ago

        Hi,

        you are trying to install voyager in multicrm? This won’t work. Multicrm already have table roles.

      You must be logged in to reply to this topic.